## RygelHTTPSeekRequest

RygelHTTPSeekRequest — HTTPSeekRequest is an abstract base for a variety of seek request types.

## Types and Values

#define | RYGEL_TYPE_HTTP_SEEK_REQUEST
#define | RYGEL_HTTP_SEEK_REQUEST_UNSPECIFIED
struct | RygelHTTPSeekRequest
struct | RygelHTTPSeekRequestClass
enum | RygelHTTPSeekRequestError

## Object Hierarchy

        GObject
        ╰── RygelHTTPSeekRequest
            ├── RygelDLNAAvailableSeekRangeRequest
            ├── RygelDTCPCleartextRequest
            ├── RygelHTTPByteSeekRequest
            ╰── RygelHTTPTimeSeekRequest

## Description

## Functions

## Types and Values

### RYGEL_TYPE_HTTP_SEEK_REQUEST

    #define RYGEL_TYPE_HTTP_SEEK_REQUEST (rygel_http_seek_request_get_type ())

The type for RygelHTTPSeekRequest.

### RYGEL_HTTP_SEEK_REQUEST_UNSPECIFIED

    #define RYGEL_HTTP_SEEK_REQUEST_UNSPECIFIED ((gint64) -1)

### struct RygelHTTPSeekRequest

    struct RygelHTTPSeekRequest;

HTTPSeekRequest is an abstract base for a variety of seek request types.

### struct RygelHTTPSeekRequestClass

    struct RygelHTTPSeekRequestClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_HTTP_SEEK_REQUEST`. All the fields in this structure are private and should never be accessed directly.

#### Members

### enum RygelHTTPSeekRequestError

Various errors that can be thrown when attempting to seek into a stream.

All codes must be set to Soup.Status codes

#### Members

RYGEL_HTTP_SEEK_REQUEST_ERROR_INVALID_RANGE |  |
RYGEL_HTTP_SEEK_REQUEST_ERROR_BAD_REQUEST |  |
RYGEL_HTTP_SEEK_REQUEST_ERROR_OUT_OF_RANGE |  |